<?php
/**************************************************************
 * Subset of Sass for PHP
 * (c) 2009, artoodetoo.
 *
 * Sass homepage in http://sass-lang.com/
 **************************************************************/

require(SASS_ROOT.'lib/sassfilter.php');


class SassFile
{
	private static $_dir;

	public static function render($inputFile, $outStyle = SassFilter::OS_NESTED)
	{
		echo self::fetch($inputFile, $outStyle);
	}

	public static function fetch($inputFile, $outStyle = SassFilter::OS_NESTED)
	{
		self::$_dir = dirname(realpath($inputFile));
		SassFilter::input(file_get_contents($inputFile), array('SassFile', '_import'));
		return SassFilter::output($outStyle);
	}

	public static function _import($s)
	{
		$inputFile = trim(substr($s, strpos($s, '@import') + 7));
		if ($inputFile{0} == '\'' || $inputFile{0} == '"')
			$inputFile = trim($inputFile, $inputFile{0});

		if (strcasecmp(substr($inputFile, -5), '.sass') == 0)
			SassFilter::input(file_get_contents(self::$_dir.'/'.$inputFile), array('FilePiper', '_import'));
		else
			SassFilter::addHead('@import url("'.$inputFile.'");');
	}
}

